### Function

# Qmi message_add_raw_tlv

since: 1.0

#### Declaration [src]

    gboolean
    qmi_message_add_raw_tlv (
      QmiMessage* self,
      guint8 type,
      const guint8* raw,
      gsize length,
      GError** error
    )

#### Description [src]

Creates a new `type` TLV with the value given in `raw`, and adds it to the `QmiMessage`.

Available since: 1.0

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`type`

  Type: `guint8`

  Specific ID of the TLV to add.

`raw`

  Type: `const guint8*`

  Raw data buffer with the value of the TLV.

  The data is owned by the caller of the function.

`length`

  Type: `gsize`

  Length of the raw data buffer.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the TLV is successfully added, otherwise `FALSE` is returned and `error` is set.